35 35
Peba

Asus Tinkerboard

Recommended Posts

Is this the tonymac i think it is....multibeast? Anyway I think I can help a lot I was one of the first with this chipset I was sent an R89 beta unit a few years back i think perhaps 2 years before this board. I got this because the other was my best device and this was asus. I have usb psu's up to 3.5amp quality cables and have an even simpler way of making power issues a thing of the past. I have lots of time on my hands due to illness. I've a few sbc's now

Share this post


Link to post
Share on other sites
24 minutes ago, LawlessPPC said:

Is this the tonymac i think it is....multibeast?

Haha no, I have seen that tonymac's work though.  I'm not much of an Apple fan, personally, the tech is nice but the price isn't.

 

Take a look at docs.armbian.com and give building a try, we're always happy to have help!

Share this post


Link to post
Share on other sites

OK, bluetooth and touchscreen return to rockchip-default tinkerboard.  Anyone who can build it themselves please test.  @JMCC I am off for some sleep, but if you get a chance,m build and test Mali/vcodec?

Share this post


Link to post
Share on other sites

GPU and VPU working just fine. GPU devfreq governor is rightly set to "performance", since the "simple_ondemand" governor seems to be buggy now and sets very low frequencies.

 

Just two suggestions:

  • Can we set the kernel UART console to the default pins? It is very inconvenient to have U-Boot use the default pins, and then the kernel using different ones: you either miss one or the other, unless you use two adapters plugged simultaneously.
  • Apart from that, the kernel seems ready for release to me (unless we want to give another try to the ISP camera, @chwe what do you think?). For this release, I think Stretch would be the most appropriate, both for server and desktop.

Share this post


Link to post
Share on other sites
13 minutes ago, JMCC said:

Apart from that, the kernel seems ready for release to me (unless we want to give another try to the ISP camera, @chwe what do you think?). For this release, I think Stretch would be the most appropriate, both for server and desktop.

the ISP will just open a next rabbit hole at the moment. I know what's more or less needed to 'bring it up' but it seems to have serious conflicts with overlayFS (which I'm not able to solve yet).. I think the ISP is not on the table yet. Bring back the board (as @TonyMac32 did) move to @ayufans kernel and bring it up stable there. As soon as this is done we could take a next attempt to bring up the ISP. It's just a feature more to take care when we move the kernelsource and this should be avoided due to lack of resources at the moment. Ayufans kernel has all the stuff needed to bring up the ISP so no hurry to play with it then.. ;) 

Share this post


Link to post
Share on other sites

OK, the audio confusion that was going on is, I think, resolved.  I cleaned up my pa configuration patching and added a udev rule so pulseaudio doesn't enumerate the device twice (which it was doing)

 

udev rule targets the specific VID:PID of the onboard ALC4040 so external USB cards still work (currently listening to a 2007 Creative Labs X-Mod)  <--  Card is crappier than I remember.  Maybe some caps are bad after 11 years of abuse/neglect, I hear audible noise in my headphones.

 

Build and test if you would, it will be in the next release.

 

[edit]   Kernel 4.18 is now bootable, but needs some love before it's ready for use:  http://ix.io/1lpi

Share this post


Link to post
Share on other sites

Hi!

I'm currently on ARMBIAN 5.50 testing Debian GNU/Linux 9 (stretch) 4.14.52-rockchip, which works perfectly. However, if I want to use the latest stable version without using nightly automated builds, are there any ways to accomplish this without downloading the latest image (ex Armbian_5.59_Tinkerboard_Debian_stretch_next_4.14.67) and reinstall everything? Cause using update && upgrade or using armbian config with firmware upgrade doesn't install later versions even if they are possible to download as images (I still have a TB on Armbian_5.41_Tinkerboard_Debian_stretch_next_4.14.23 which doesn't find any newer versions.).

Share this post


Link to post
Share on other sites

Hey, looking for some help. I'm running a Tinkerboard to build a retro gaming station for my sister.  I installed ROTT for Tinkerboard, which is an all in one build. In their version, they run an older Armbian build and kernel and everything seems to work fine. I decided to update all sources in order to finish up the job... It installed a newer kernel and since then, the screen flickers once in a while (Goes black, comes back), which is annoying. Any suggestions on how to fix this? My solution right now will be to reflash the original package and just not update the board... But I'd love to save myself the hassle and run the latest updated version. 

 

The version which flickers is Armbian 5.50 kernel 4.4.135 and onward. The previous version ran 5.39 kernel 4.4.120.  This flickers on an Asus MX239H monitor (Have not tried on anything else yet) 

 

Thanks!

Edited by Fred St-Pierre
Added extra context.

Share this post


Link to post
Share on other sites
4 hours ago, Fred St-Pierre said:

The version which flickers is Armbian 5.50 kernel 4.4.135 and onward. The previous version ran 5.39 kernel 4.4.120.  This flickers on an Asus MX239H monitor (Have not tried on anything else yet) 


Stock kernel for Tinkerboard was messed up upstream, by Rockchip developers. We are still working on to fix it.  

Older kernel versions are avaliable here: http://apt.armbian.com/pool/main/l/linux-4.4.120-rockchip/

Share this post


Link to post
Share on other sites
On 9/30/2018 at 2:29 AM, Igor said:


Stock kernel for Tinkerboard was messed up upstream, by Rockchip developers. We are still working on to fix it.  

Older kernel versions are avaliable here: http://apt.armbian.com/pool/main/l/linux-4.4.120-rockchip/

 

Ah! That explains it. :) Thanks for the info! So my best bet would be to run 4.4.120 and freeze the kernel until a fix is released? Any way for me to track evolution? 

Share this post


Link to post
Share on other sites
On 9/30/2018 at 3:12 AM, Tido said:

 

I'm actually running a Retropie build called ROTT 1.0.3s, which is the most complete and streamlined solution right now. I don't like the Lakka option, as it uses RetroArch as a frontend instead of emulationstation and I don't wanna mess configuring Emulationstation manually when ROTT uses it out of the box :) I think I'll just freeze the kernel to 120 until a new fixed build is out, as it worked just fine.

Share this post


Link to post
Share on other sites
(edited)

I use Armbian_5.41_Tinkerboard_Debian_stretch_default_4.4.119.img on my TinkerBoard.

After first init, I use armbian-config to freeze kernel.

I back to console run apt update and upgrade.

After reboot it dose not boot.

How to run apt upgrade now?

Spoiler

 


apt list --upgradable
Listing... Done
armbian-config/stretch 5.62 all [upgradable from: 5.41]
armbian-firmware/stretch 5.60 all [upgradable from: 5.41]
armbian-tools-stretch/stretch 5.60 armhf [upgradable from: 5.41]
base-files/stable 9.9+deb9u5 armhf [upgradable from: 9.9+deb9u3]
bsdutils/stable,stable 1:2.29.2-1+deb9u1 armhf [upgradable from: 1:2.29.2-1]
ca-certificates/stable 20161130+nmu1+deb9u1 all [upgradable from: 20161130+nmu1]
cron/stable 3.0pl1-128+deb9u1 armhf [upgradable from: 3.0pl1-128+b1]
curl/stable 7.52.1-5+deb9u7 armhf [upgradable from: 7.52.1-5+deb9u4]
dbus/stable 1.10.26-0+deb9u1 armhf [upgradable from: 1.10.24-0+deb9u1]
dirmngr/stable,stable 2.1.18-8~deb9u2 armhf [upgradable from: 2.1.18-8~deb9u1]
dpkg/stable 1.18.25 armhf [upgradable from: 1.18.24]
dpkg-dev/stable 1.18.25 all [upgradable from: 1.18.24]
fuse/stable 2.9.7-1+deb9u1 armhf [upgradable from: 2.9.7-1]
gir1.2-packagekitglib-1.0/stable,stable 1.1.5-2+deb9u1 armhf [upgradable from: 1.1.5-2]
git/stable,stable 1:2.11.0-3+deb9u3 armhf [upgradable from: 1:2.11.0-3+deb9u2]
git-man/stable,stable 1:2.11.0-3+deb9u3 all [upgradable from: 1:2.11.0-3+deb9u2]
gnupg/stable,stable 2.1.18-8~deb9u2 armhf [upgradable from: 2.1.18-8~deb9u1]
gnupg-agent/stable,stable 2.1.18-8~deb9u2 armhf [upgradable from: 2.1.18-8~deb9u1]
gnupg2/stable,stable 2.1.18-8~deb9u2 all [upgradable from: 2.1.18-8~deb9u1]
gpgv/stable,stable 2.1.18-8~deb9u2 armhf [upgradable from: 2.1.18-8~deb9u1]
hostapd/stretch 3:2.6-99~armbian5.60+1 armhf [upgradable from: 2:2.6-4~armbian5.38+1]
isc-dhcp-client/stable,stable 4.3.5-3+deb9u1 armhf [upgradable from: 4.3.5-3]
isc-dhcp-common/stable,stable 4.3.5-3+deb9u1 armhf [upgradable from: 4.3.5-3]
libapparmor1/stable 2.11.0-3+deb9u2 armhf [upgradable from: 2.11.0-3]
libblkid1/stable,stable 2.29.2-1+deb9u1 armhf [upgradable from: 2.29.2-1]
libc-bin/stable 2.24-11+deb9u3 armhf [upgradable from: 2.24-11+deb9u1]
libc-dev-bin/stable 2.24-11+deb9u3 armhf [upgradable from: 2.24-11+deb9u1]
libc-l10n/stable 2.24-11+deb9u3 all [upgradable from: 2.24-11+deb9u1]
libc6/stable 2.24-11+deb9u3 armhf [upgradable from: 2.24-11+deb9u1]
libc6-dev/stable 2.24-11+deb9u3 armhf [upgradable from: 2.24-11+deb9u1]
libcurl3/stable 7.52.1-5+deb9u7 armhf [upgradable from: 7.52.1-5+deb9u4]
libcurl3-gnutls/stable 7.52.1-5+deb9u7 armhf [upgradable from: 7.52.1-5+deb9u4]
libdbus-1-3/stable 1.10.26-0+deb9u1 armhf [upgradable from: 1.10.24-0+deb9u1]
libdpkg-perl/stable 1.18.25 all [upgradable from: 1.18.24]
libfdisk1/stable,stable 2.29.2-1+deb9u1 armhf [upgradable from: 2.29.2-1]
libfuse2/stable 2.9.7-1+deb9u1 armhf [upgradable from: 2.9.7-1]
libgcrypt20/stable,stable 1.7.6-2+deb9u3 armhf [upgradable from: 1.7.6-2+deb9u2]
libicu57/stable,stable 57.1-6+deb9u2 armhf [upgradable from: 57.1-6+deb9u1]
libldap-2.4-2/stable 2.4.44+dfsg-5+deb9u2 armhf [upgradable from: 2.4.44+dfsg-5+deb9u1]
libldap-common/stable 2.4.44+dfsg-5+deb9u2 all [upgradable from: 2.4.44+dfsg-5+deb9u1]
libmount1/stable,stable 2.29.2-1+deb9u1 armhf [upgradable from: 2.29.2-1]
libncurses5/stable 6.0+20161126-1+deb9u2 armhf [upgradable from: 6.0+20161126-1+deb9u1]
libncursesw5/stable 6.0+20161126-1+deb9u2 armhf [upgradable from: 6.0+20161126-1+deb9u1]
libnss-myhostname/stable 232-25+deb9u4 armhf [upgradable from: 232-25+deb9u1]
libpackagekit-glib2-18/stable,stable 1.1.5-2+deb9u1 armhf [upgradable from: 1.1.5-2]
libpam-systemd/stable 232-25+deb9u4 armhf [upgradable from: 232-25+deb9u1]
libperl5.24/stable,stable 5.24.1-3+deb9u4 armhf [upgradable from: 5.24.1-3+deb9u2]
libprocps6/stable,stable 2:3.3.12-3+deb9u1 armhf [upgradable from: 2:3.3.12-3]
libpython2.7-minimal/stable 2.7.13-2+deb9u3 armhf [upgradable from: 2.7.13-2+deb9u2]
libpython2.7-stdlib/stable 2.7.13-2+deb9u3 armhf [upgradable from: 2.7.13-2+deb9u2]
libpython3.5-minimal/stable 3.5.3-1+deb9u1 armhf [upgradable from: 3.5.3-1]
libpython3.5-stdlib/stable 3.5.3-1+deb9u1 armhf [upgradable from: 3.5.3-1]
libsmartcols1/stable,stable 2.29.2-1+deb9u1 armhf [upgradable from: 2.29.2-1]
libsoup2.4-1/stable,stable 2.56.0-2+deb9u2 armhf [upgradable from: 2.56.0-2+deb9u1]
libssl-dev/stable,stable 1.1.0f-3+deb9u2 armhf [upgradable from: 1.1.0f-3+deb9u1]
libssl1.0.2/stable,stable 1.0.2l-2+deb9u3 armhf [upgradable from: 1.0.2l-2+deb9u2]
libssl1.1/stable,stable 1.1.0f-3+deb9u2 armhf [upgradable from: 1.1.0f-3+deb9u1]
libsystemd0/stable 232-25+deb9u4 armhf [upgradable from: 232-25+deb9u1]
libtinfo5/stable 6.0+20161126-1+deb9u2 armhf [upgradable from: 6.0+20161126-1+deb9u1]
libudev1/stable 232-25+deb9u4 armhf [upgradable from: 232-25+deb9u1]
libuuid1/stable,stable 2.29.2-1+deb9u1 armhf [upgradable from: 2.29.2-1]
libxapian30/stable 1.4.3-2+deb9u1 armhf [upgradable from: 1.4.3-2]
linux-dtb-rockchip/stretch 5.60 armhf [upgradable from: 5.41]
linux-image-rockchip/stretch 5.60 armhf [upgradable from: 5.41]
linux-libc-dev/stable 4.9.110-3+deb9u5 armhf [upgradable from: 4.9.82-1+deb9u2]
linux-stretch-root-tinkerboard/stretch 5.60 armhf [upgradable from: 5.41]
linux-u-boot-tinkerboard-default/stretch 5.60 armhf [upgradable from: 5.41]
locales/stable 2.24-11+deb9u3 all [upgradable from: 2.24-11+deb9u1]
mount/stable,stable 2.29.2-1+deb9u1 armhf [upgradable from: 2.29.2-1]
multiarch-support/stable 2.24-11+deb9u3 armhf [upgradable from: 2.24-11+deb9u1]
ncurses-base/stable 6.0+20161126-1+deb9u2 all [upgradable from: 6.0+20161126-1+deb9u1]
ncurses-bin/stable 6.0+20161126-1+deb9u2 armhf [upgradable from: 6.0+20161126-1+deb9u1]
ncurses-term/stable 6.0+20161126-1+deb9u2 all [upgradable from: 6.0+20161126-1+deb9u1]
ntp/stable 1:4.2.8p10+dfsg-3+deb9u2 armhf [upgradable from: 1:4.2.8p10+dfsg-3+deb9u1]
openssh-client/stable 1:7.4p1-10+deb9u4 armhf [upgradable from: 1:7.4p1-10+deb9u2]
openssh-server/stable 1:7.4p1-10+deb9u4 armhf [upgradable from: 1:7.4p1-10+deb9u2]
openssh-sftp-server/stable 1:7.4p1-10+deb9u4 armhf [upgradable from: 1:7.4p1-10+deb9u2]
openssl/stable,stable 1.1.0f-3+deb9u2 armhf [upgradable from: 1.1.0f-3+deb9u1]
patch/stable 2.7.5-1+deb9u1 armhf [upgradable from: 2.7.5-1+b2]
perl/stable,stable 5.24.1-3+deb9u4 armhf [upgradable from: 5.24.1-3+deb9u2]
perl-base/stable,stable 5.24.1-3+deb9u4 armhf [upgradable from: 5.24.1-3+deb9u2]
perl-modules-5.24/stable,stable 5.24.1-3+deb9u4 all [upgradable from: 5.24.1-3+deb9u2]
procps/stable,stable 2:3.3.12-3+deb9u1 armhf [upgradable from: 2:3.3.12-3]
python2.7/stable 2.7.13-2+deb9u3 armhf [upgradable from: 2.7.13-2+deb9u2]
python2.7-minimal/stable 2.7.13-2+deb9u3 armhf [upgradable from: 2.7.13-2+deb9u2]
python3.5/stable 3.5.3-1+deb9u1 armhf [upgradable from: 3.5.3-1]
python3.5-minimal/stable 3.5.3-1+deb9u1 armhf [upgradable from: 3.5.3-1]
sunxi-tools/stretch 1.4.2-2~armbian5.60+1 armhf [upgradable from: 1.4.2-2~armbian5.38+1]
systemd/stable 232-25+deb9u4 armhf [upgradable from: 232-25+deb9u1]
systemd-sysv/stable 232-25+deb9u4 armhf [upgradable from: 232-25+deb9u1]
tzdata/stable,stable-updates 2018e-0+deb9u1 all [upgradable from: 2018c-0+deb9u1]
udev/stable 232-25+deb9u4 armhf [upgradable from: 232-25+deb9u1]
util-linux/stable,stable 2.29.2-1+deb9u1 armhf [upgradable from: 2.29.2-1]
wget/stable,stable 1.18-5+deb9u2 armhf [upgradable from: 1.18-5+deb9u1]

 

 

Edited by Tido
added Spoiler

Share this post


Link to post
Share on other sites
7 minutes ago, vincent said:

After reboot it dose not boot.

How to run apt upgrade now?

can you provide a bootlog from serial output. See:

for how you to do it. On tinkerboard it's UART3 which should be connected:

Gpio-pinout.png

Share this post


Link to post
Share on other sites

I do not have UART USB Adapter now.

But after upgrade reboot the system led only power light on.

I think it may not turn on the sshd.

Share this post


Link to post
Share on other sites

The armbian-config freeze kernel function only with linux-image-rockchip, linux-u-boot-tinkerboard-default and linux-stretch-root-tinkerboard

I use "apt-mark hold" to add linux-dtb-rockchip, now after run apt upgrade work fine.

 

PS:

armbian-config/stretch,now 5.62 all [installed]

Share this post


Link to post
Share on other sites
1 hour ago, vincent said:

I do not have UART USB Adapter now.

It's worth to have one..  :) for the price of a cheap beer (1-2$) you save a lot of headache.. 

23 minutes ago, vincent said:

I use "apt-mark hold" to add linux-dtb-rockchip, now after run apt upgrade work fine.

good catch! :thumbup: 

 

Update: @vincent found the problem in freeze, see https://github.com/armbian/config/issues/34 didn't found a smart solution for it yet.  :) 

Share this post


Link to post
Share on other sites

Hi,

 

I'm looking for information on how I could upgrade my kernel to 4.17.  I'm trying to use my Tinkerboard as a Plex server, with a Hauppauge DualTV USB stick. The driver seems to be supported in 4.17 and I've found no information on how I can get the driver on anything else. 

 

Thanks. 

Share this post


Link to post
Share on other sites
32 minutes ago, Freakshow! said:

I'm looking for information on how I could upgrade my kernel to 4.17. 


That is very simple. armbian-config -> system -> switch to alternative kernels and choose DEV. But this does not give you warranty that this hardware works. You might need to recompile the kernel on your own. When you find a working kernel configuration, send changes to the build system that future upgrades will have your specific feature build in. https://github.com/armbian/build (you need to build with additional switch EXPERT=yes since DEV kernels are not displayed by default)

 

Here is .config of this kernel: https://github.com/armbian/build/blob/master/config/kernel/linux-rockchip-dev.config

Share this post


Link to post
Share on other sites

Hello.

I download last xenial desktop image for tinkerboard.

 

I update with "sudo apt update / upgrade". I reboot.
When returning from Reboot, as soon as I launch anything, I lose the display. If I install X11VNC, I still have access to the desktop on VNC even if the display in HDMI is lost.

Where would the bug come from?
Thank you

 

Share this post


Link to post
Share on other sites
1 hour ago, dragonlost said:

Where would the bug come from?


Most likely from here: https://github.com/rockchip-linux/kernel/commits/release-4.4 where are our sources originating from. We are not fixing bugs they produce quick enough ... :(

You can try this trick https://forum.armbian.com/topic/8527-banana-m1latest-armbian-kernel-414usb-drive-with-external-power-failures-on-fast-write/?do=findComment&amp;comment=64500 and go one kernel back. Longterm ... use mainline kernel (4.14+), first two download options, which will soon be the only options for the download. Supporting legacy BSP kernel is getting nowhere.


BTW. For me, HDMI on one monitor works, while it fails on another one ...

Share this post


Link to post
Share on other sites

I tried to install the Mate interface on armbian bionic but I had a problem:

 

Preparing to unpack .../39-ubuntu-mate-default-settings_18.04.17_armhf.deb ...
Unpacking ubuntu-mate-default-settings (18.04.17) ...
dpkg: error processing archive /tmp/apt-dpkg-install-E9v1ON/39-ubuntu-mate-default-settings_18.04.17_armhf.deb (--unpack):
 trying to overwrite '/usr/lib/chromium-browser/master_preferences', which is also in package linux-bionic-root-next-tinkerboard 5.60

This error only happens on the tinkerboard because on an x86_64 system I do not expect this error on this package from an xubuntu or lubuntu

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Loading...
35 35